import { createApp } from 'vue'
import App from './App.vue'
import '@/framework/styles/index.scss';
import directives from "@/framework/directives/index";
import {init} from "@/framework/utils/standard/globalHandle";

if (window.frameBaseConfig?.projectThemeStyle === 'hzwl') {
  import('@/framework/styles/config/elmentplus-reset-hz.scss');
  import('@/framework/styles/config/style-hz.scss');
} else if(window.frameBaseConfig?.projectThemeStyle === 'abacus'){
  import('@/framework/styles/config/elmentplus-reset-abacus.scss');
  import('@/framework/styles/config/style-abacus.scss');
} else {
  import('@/framework/styles/config/elmentplus-reset-abacus.scss');
  import('@/framework/styles/config/style-abacus.scss');
}




import '@/permission';

const app = createApp(App)
app.use(directives)  // 注册自定义指令


// 引入图标
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}

// 引入 pinia
import pinia from "@/framework/store";
app.use(pinia);

// 引入 router
import router from "@/framework/router";
app.use(router)


// 引入 VXETable
import VxeUIAll from 'vxe-pc-ui'
import 'vxe-pc-ui/lib/style.css'
import VxeUITable from 'vxe-table'
import 'vxe-table/lib/style.css'



// import VXETable from 'vxe-table'
import VXETablePluginExportXLSX from 'vxe-table-plugin-export-xlsx'
import ExcelJS from 'exceljs'

// import 'vxe-table/lib/style.css'
/**VXETable全局配置 */
VxeUITable.setConfig({
  zIndex: 2050,//表格自带tooltip提示框在使用el-drawer情况下，被置于了el-drawer下方，修改VXETable默认zIndex
  table: { //表格全局参数
    border: 'inner', //表格边框样式
    stripe: true,//斑马纹
    showOverflow: true, //设置所有内容过长时显示为省略号
    headerCellConfig:{
      height:38,//表头最小高度
    },
    rowConfig: {//行配置
      height:38, //行高
      isHover:true //当鼠标移到列头时，是否要高亮当前头
    },
    columnConfig: {//列配置
      resizable: true//列是否允许拖动列宽调整大小
    },
  },
})
VxeUITable.use(VXETablePluginExportXLSX, {ExcelJS})
// function useTable (app: App) {
//   app.use(VXETable)
// }
// app.use(useTable)

app.use(VxeUIAll)
app.use(VxeUITable)



app.mount('#app')




app.use(init)
